Package ghidra.framework.model

# Class DomainFolderListenerAdapter

java.lang.Object
ghidra.framework.model.DomainFolderListenerAdapter

All Implemented Interfaces:
  `DomainFolderChangeListener`

public abstract class DomainFolderListenerAdapter extends Object implements DomainFolderChangeListener
Adapter for the domain folder change listener.

See Also:
  - `for details regarding listener use`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DomainFolderListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `domainFileAdded(DomainFile file)`
  Notification that a file is added to parent folder.
  `void`
  `domainFileMoved(DomainFile file, DomainFolder oldParent, String oldName)`
  Notification that the domain file was moved.
  `void`
  `domainFileObjectClosed(DomainFile file, DomainObject object)`
  Notification that a domain file previously open for update is in the process of closing.
  `void`
  `domainFileObjectOpenedForUpdate(DomainFile file, DomainObject object)`
  Notification that a domain file has been opened for update.
  `void`
  `domainFileObjectReplaced(DomainFile file, DomainObject oldObject)`
  Notification that a new version of the domain object exists and the current one is no longer valid.
  `void`
  `domainFileRemoved(DomainFolder parent, String name, String fileID)`
  Notification that a file was removed
  `void`
  `domainFileRenamed(DomainFile file, String oldName)`
  Notification that the domain file was renamed.
  `void`
  `domainFileStatusChanged(DomainFile file, boolean fileIDset)`
  Notification that the status for a domain file has changed.
  `void`
  `domainFolderAdded(DomainFolder folder)`
  Notification that a folder is added to parent.
  `void`
  `domainFolderMoved(DomainFolder folder, DomainFolder oldParent)`
  Notification that the domain folder was moved.
  `void`
  `domainFolderRemoved(DomainFolder parent, String name)`
  Notification that a domain folder is removed.
  `void`
  `domainFolderRenamed(DomainFolder folder, String oldName)`
  Notify listeners when a domain folder is renamed.
  `void`
  `domainFolderSetActive(DomainFolder folder)`
  Notification that the setActive() method on the folder was called.
  `void`
  `stateChanged(String affectedNewPath, String affectedOldPath, boolean isFolder)`
  Provides a consolidated callback for those listener methods which have not been overridden.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DomainFolderListenerAdapter

    protected DomainFolderListenerAdapter()

- ## Method Details

  - ### stateChanged

    public void stateChanged(String affectedNewPath, String affectedOldPath, boolean isFolder)
    Provides a consolidated callback for those listener methods which have not been overridden. This callback is NOT invoked for the following callbacks:
    - domainFolderSetActive
    - domainFileObjectReplaced
    - domainFileObjectOpenedForUpdate
    - domainFileObjectClosed
    Parameters:
      `affectedNewPath` - new path of affected folder/file, or null if item was removed (see affectedOldPath)
      `affectedOldPath` - original path of affected folder/file, or null for new item (see affectedOldPath)
      `isFolder` - true if affected item is/was a folder

  - ### domainFolderAdded

    public void domainFolderAdded(DomainFolder folder)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a folder is added to parent.
    Specified by:
      `domainFolderAdded` in interface `DomainFolderChangeListener`
    Parameters:
      `folder` - domain folder which was just added.

  - ### domainFileAdded

    public void domainFileAdded(DomainFile file)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a file is added to parent folder. You can get the parent from the file.
    Specified by:
      `domainFileAdded` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - domain file which was just added.

  - ### domainFolderRemoved

    public void domainFolderRemoved(DomainFolder parent, String name)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a domain folder is removed.
    Specified by:
      `domainFolderRemoved` in interface `DomainFolderChangeListener`
    Parameters:
      `parent` - domain folder which contained the folder that was just removed.
      `name` - the name of the folder that was removed.

  - ### domainFileRemoved

    public void domainFileRemoved(DomainFolder parent, String name, String fileID)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a file was removed
    Specified by:
      `domainFileRemoved` in interface `DomainFolderChangeListener`
    Parameters:
      `parent` - domain folder which contained the file that was just removed.
      `name` - the name of the file that was removed.
      `fileID` - file ID or null

  - ### domainFolderRenamed

    public void domainFolderRenamed(DomainFolder folder, String oldName)
    Description copied from interface: `DomainFolderChangeListener`
    Notify listeners when a domain folder is renamed.
    Specified by:
      `domainFolderRenamed` in interface `DomainFolderChangeListener`
    Parameters:
      `folder` - folder that was renamed
      `oldName` - old name of folder

  - ### domainFileRenamed

    public void domainFileRenamed(DomainFile file, String oldName)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that the domain file was renamed.
    Specified by:
      `domainFileRenamed` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - file that was renamed
      `oldName` - old name of the file

  - ### domainFolderMoved

    public void domainFolderMoved(DomainFolder folder, DomainFolder oldParent)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that the domain folder was moved.
    Specified by:
      `domainFolderMoved` in interface `DomainFolderChangeListener`
    Parameters:
      `folder` - the folder (after move)
      `oldParent` - original parent folder

  - ### domainFileMoved

    public void domainFileMoved(DomainFile file, DomainFolder oldParent, String oldName)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that the domain file was moved.
    Specified by:
      `domainFileMoved` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - the file (after move)
      `oldParent` - original parent folder

  - ### domainFolderSetActive

    public void domainFolderSetActive(DomainFolder folder)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that the setActive() method on the folder was called.
    Specified by:
      `domainFolderSetActive` in interface `DomainFolderChangeListener`

  - ### domainFileStatusChanged

    public void domainFileStatusChanged(DomainFile file, boolean fileIDset)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that the status for a domain file has changed.
    Specified by:
      `domainFileStatusChanged` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - file whose status has changed.
      `fileIDset` - if true indicates that the previously missing fileID has been established for the specified file.

  - ### domainFileObjectReplaced

    public void domainFileObjectReplaced(DomainFile file, DomainObject oldObject)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a new version of the domain object exists and the current one is no longer valid. Existing consumers should be immediately released and no additional use of the oldObject is permitted once this method returns. This is only called for domain objects which were opened for update.
    Specified by:
      `domainFileObjectReplaced` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - file whose object was replaced
      `oldObject` - old object that was replaced

  - ### domainFileObjectOpenedForUpdate

    public void domainFileObjectOpenedForUpdate(DomainFile file, DomainObject object)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a domain file has been opened for update.
    Specified by:
      `domainFileObjectOpenedForUpdate` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - domain file
      `object` - domain object open for update

  - ### domainFileObjectClosed

    public void domainFileObjectClosed(DomainFile file, DomainObject object)
    Description copied from interface: `DomainFolderChangeListener`
    Notification that a domain file previously open for update is in the process of closing.
    Specified by:
      `domainFileObjectClosed` in interface `DomainFolderChangeListener`
    Parameters:
      `file` - domain file
      `object` - domain object which was open for update